
<%@ page contentType="text/html; charset=utf-8" language="java" import="java.sql.*" errorPage="" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>显示上传文件</title>
</head>
<body>


<%
	

String fielPathUpload=(String)request.getAttribute("fielPathUpload");
String bScucess=(String)request.getAttribute("bSucess");//bSucess
out.write("is cusses: "+bScucess);
   if(bScucess!=null&&bScucess.equals("true"))   
    {   
	java.lang.StringBuffer info=new java.lang.StringBuffer();
	 store.file.web.admin.action.FileUploadDataBean fileUploadDataBean=( store.file.web.admin.action.FileUploadDataBean)request.getAttribute("fileUploadDataBean");
	
			String formInputId=fileUploadDataBean.getForm_inputID();
		 		
		 		String callBackFunction="setFilePathUPladed";
				String messages="sucess:"+fielPathUpload;
		 		
		 			if(fileUploadDataBean.getCallbakFunction()!=null){
		 				callBackFunction=fileUploadDataBean.getCallbakFunction();
		 			}
		 			
		 			if(formInputId!=null){
		 				info.append("<script>parent."+callBackFunction+"("+ "\""+formInputId+"\" , " + "\""+fielPathUpload+"\" , \""+ messages+"\");</script>"); 
		 			}else{
		 				info.append("<script>parent."+callBackFunction+"('"+fielPathUpload+"' , '"+ messages+"');</script>"); 
		 			}

	/**
	//
	String fielPath=fielPathUpload;
	// String tag=(String)request.getAttribute( "tagUpdate");
     // out.write("sucess" +tag );
	 String message="message,uplaod file sucess:  "+fielPath;
        out.write("<script>parent.setFilePathUPladed('"+fielPathUpload+"' , '"+ message+"');</script>");   
		**/
		out.write(info.toString());
		
		out.write("<!-- code return:"+info.toString()+"-->");
    } 
    else   
    {    
		out.write("error "+bScucess);
	   out.write("<script>parent.setFilePathUPladed('error','upload error!');</script>");    
	   
    }    
  %>


</body>
</html>
